> ## Documentation Index
> Fetch the complete documentation index at: https://docs.smartbills.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Post v1businesses billingsubscriptionconfirm checkout



## OpenAPI

````yaml /api-reference/openapi.json post /v1/businesses/{businessId}/billing/subscription/confirm-checkout
openapi: 3.0.4
info:
  title: Smartbills.API
  version: v1
servers:
  - url: https://api.smartbills.io
    description: Production
security: []
paths:
  /v1/businesses/{businessId}/billing/subscription/confirm-checkout:
    post:
      tags:
        - Billing
      parameters:
        - name: businessId
          in: path
          required: true
          schema:
            type: integer
            format: int64
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/BillingConfirmCheckoutProxyRequest'
          text/json:
            schema:
              $ref: '#/components/schemas/BillingConfirmCheckoutProxyRequest'
          application/*+json:
            schema:
              $ref: '#/components/schemas/BillingConfirmCheckoutProxyRequest'
      responses:
        '200':
          description: OK
          content:
            text/plain:
              schema:
                $ref: >-
                  #/components/schemas/SmartbillsSDKServicesBillingSubscriptionsConfirmCheckoutResult
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/SmartbillsSDKServicesBillingSubscriptionsConfirmCheckoutResult
            text/json:
              schema:
                $ref: >-
                  #/components/schemas/SmartbillsSDKServicesBillingSubscriptionsConfirmCheckoutResult
        '400':
          description: Bad Request
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/MicrosoftAspNetCoreMvcProblemDetails'
            application/json:
              schema:
                $ref: '#/components/schemas/MicrosoftAspNetCoreMvcProblemDetails'
            text/json:
              schema:
                $ref: '#/components/schemas/MicrosoftAspNetCoreMvcProblemDetails'
components:
  schemas:
    BillingConfirmCheckoutProxyRequest:
      type: object
      properties:
        sessionId:
          type: string
          nullable: true
      additionalProperties: false
    SmartbillsSDKServicesBillingSubscriptionsConfirmCheckoutResult:
      type: object
      properties:
        success:
          type: boolean
        message:
          type: string
          nullable: true
        subscription:
          $ref: >-
            #/components/schemas/SmartbillsSDKServicesBillingSubscriptionsConfirmCheckoutSubscriptionData
        paymentMethod:
          $ref: >-
            #/components/schemas/SmartbillsSDKServicesBillingSubscriptionsConfirmCheckoutPaymentMethodData
      additionalProperties: false
    MicrosoftAspNetCoreMvcProblemDetails:
      type: object
      properties:
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: integer
          format: int32
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
      additionalProperties: {}
    SmartbillsSDKServicesBillingSubscriptionsConfirmCheckoutSubscriptionData:
      type: object
      properties:
        planKey:
          type: string
          nullable: true
        status:
          type: string
          nullable: true
        businessId:
          type: integer
          format: int64
          nullable: true
        currentPeriodStart:
          type: string
          format: date-time
          nullable: true
        currentPeriodEnd:
          type: string
          format: date-time
          nullable: true
        trialStart:
          type: string
          format: date-time
          nullable: true
        trialEnd:
          type: string
          format: date-time
          nullable: true
      additionalProperties: false
    SmartbillsSDKServicesBillingSubscriptionsConfirmCheckoutPaymentMethodData:
      type: object
      properties:
        stripePaymentMethodId:
          type: string
          nullable: true
        stripeCustomerId:
          type: string
          nullable: true
        businessId:
          type: integer
          format: int64
          nullable: true
        userId:
          type: integer
          format: int64
          nullable: true
        type:
          type: string
          nullable: true
        cardBrand:
          type: string
          nullable: true
        cardDisplayBrand:
          type: string
          nullable: true
        cardLast4:
          type: string
          nullable: true
        cardExpMonth:
          type: integer
          format: int64
          nullable: true
        cardExpYear:
          type: integer
          format: int64
          nullable: true
        cardFingerprint:
          type: string
          nullable: true
        cardWallet:
          type: string
          nullable: true
        firstName:
          type: string
          nullable: true
        lastName:
          type: string
          nullable: true
        email:
          type: string
          nullable: true
        phone:
          type: string
          nullable: true
        addressLine1:
          type: string
          nullable: true
        addressLine2:
          type: string
          nullable: true
        addressCity:
          type: string
          nullable: true
        addressState:
          type: string
          nullable: true
        addressPostalCode:
          type: string
          nullable: true
        addressCountry:
          type: string
          nullable: true
      additionalProperties: false

````